StyleableFloatProperty (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class StyleableFloatProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.FloatExpression
    - - javafx.beans.property.ReadOnlyFloatProperty
      - - javafx.beans.property.FloatProperty
        - - javafx.beans.property.FloatPropertyBase
          - - javafx.css.StyleableFloatProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`
  Direct Known Subclasses:
    `SimpleStyleableFloatProperty`

      public abstract class StyleableFloatProperty
      extends FloatPropertyBase
      implements StyleableProperty<Number>

  This class extends `FloatPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `FloatProperty`, that would otherwise be implemented as a `FloatPropertyBase`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `FloatPropertyBase`, `CssMetaData`, `StyleableProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleableFloatProperty()` | The constructor of the `StyleableFloatProperty`.
    `StyleableFloatProperty​(float initialValue)` | The constructor of the `StyleableFloatProperty`.

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.FloatPropertyBase

      `fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.FloatProperty

      `asObject, floatProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyFloatProperty

      `readOnlyFloatProperty`

    - ### Methods declared in class javafx.beans.binding.FloatExpression

      `floatExpression, floatExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableFloatValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.css.StyleableProperty

      `applyStyle, getCssMetaData, getStyleOrigin`

    - ### Methods declared in interface javafx.beans.value.WritableFloatValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### StyleableFloatProperty

          public StyleableFloatProperty()

      The constructor of the `StyleableFloatProperty`.

    - #### StyleableFloatProperty

          public StyleableFloatProperty​(float initialValue)

      The constructor of the `StyleableFloatProperty`.
      Parameters:
        `initialValue` - the initial value of the wrapped `Object`